# Sign in with Google

## Overview

Servoy Cloud offers a **Sign-in with Google** option to simplify user authentication. Follow the steps below to enable this feature.

## Prerequisites

* **Google Developer account:** Sign in with your Google account, or create one to access the [Google Developer](https://console.developers.google.com/) API Console.
* **Google project:** Use the default `My First Project` or create a new [Google Project](https://support.google.com/googleapi/answer/6251787?ref_topic=7014522)

## Set up SSO in Servoy Cloud

To enable **Single Sign-On (SSO)** with Google in Servoy Cloud, complete the [setup in the Security Login Designer](/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer/single-sign-on.md#setup-sso).

## Create Google Credentials

Once you have set up your account and google project, the next step is to generate credentials.

### Configure Consent Screen

When you use single sign-on, your app requests authorizations for one or more scopes of access from a Google Account. Google displays a consent screen to the user including a summary of your project and its policies and the requested scopes of access.

To configure the consent screen:

1. Navigate to `Credentials` menu item
2. Click the `Create Credentials` button and select `OAuth client ID`
3. Configure Consent screen
   * Choose the desired target user type, Internal or External
4. Fill in the **required** information
   * App Name
   * Upload logo (optional)
   * User support email
   * Developer contact information

### **Generate Client ID and Client Secret**

To generate the Google Client ID and Client Secret ID:

1. Navigate to `Credentials` menu item
2. Click the `Create Credentials` button and select `OAuth client ID`
3. Configure the following settings:

| **Field**                     | **Value to Provide**                                                                                                                                             |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Application type              | Web application                                                                                                                                                  |
| Authorized JavaScript origins | <p>Provided in the <strong>Security Designer</strong> in CCC:<br>- Expand menu <code>Sign in with Google</code><br>- Click the <code>Setup Guide</code> link</p> |
| Authorized redirect URIs      | <p>Provided in the <strong>Security Designer</strong> in CCC:<br>- Expand menu <code>Sign in with Google</code><br>- Click the <code>Setup Guide</code> link</p> |

During this process, Google will generate a Client ID and Client Secret for your application.

{% hint style="info" %}
The Client ID and Client Secret are required when setting up single sign-on in Cloud Control Center.
{% endhint %}

## Finish SSO Setup

To finish SSO Setup and enable it for your Servoy Cloud Application:

1. **Access Servoy Cloud Application Settings**:
   * Go to `Application -> Your Application -> Application Settings` using the `Configure` button.
2. **Enable Sign-in with Microsoft**
   1. Click the `Create custom login` button.
   2. Navigate to the `Security Login` page.
   3. Expand the `Sign in with Google` section.
   4. Fill in the generated `Client ID` and `Client Secret ID`
3. **Save settings**

{% hint style="success" %}
Your application now supports **Google Single Sign-On** for user authentication.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoy-cloud/cloud-control-center/application-overview/applications/security/security-login-designer/single-sign-on/sign-in-with-google.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
